// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface ENG_PFSignKindOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.ENG_PFSignKind)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * The value of the status setting.
   * </pre>
   *
   * <code>.commonmodule.PFSignKind setVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The enum numeric value on the wire for setVal.
   */
  int getSetValValue();
  /**
   * <pre>
   * The value of the status setting.
   * </pre>
   *
   * <code>.commonmodule.PFSignKind setVal = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The setVal.
   */
  openfmb.commonmodule.PFSignKind getSetVal();
}
